## com.imcode.imcms.api
Class User

    java.lang.Object
      com.imcode.imcms.api.User

    public class User

extends java.lang.Object

Method Summary
`void` `addRole(Role role)`
`boolean` `canEdit(Document document)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAddress()`
`java.lang.String` `getCity()`
`java.lang.String` `getCompany()`
`java.lang.String` `getCountry()`
`java.lang.String` `getCountyCouncil()` Deprecated. Use `getProvince()`. Will be removed in 4.0.
`java.lang.String` `getEmailAddress()`
`java.lang.String` `getFaxPhone()`
`java.lang.String` `getFirstName()`
`java.lang.String` `getHomePhone()`
`int` `getId()`
`Language` `getLanguage()`
`java.lang.String` `getLastName()`
`java.lang.String` `getLoginName()`
`java.lang.String` `getMobilePhone()`
`java.lang.String` `getOtherPhone()`
`java.lang.String` `getProvince()`
`Role[]` `getRoles()`
`java.lang.String` `getSessionId()`
`java.lang.String` `getTitle()`
`java.lang.String` `getWorkPhone()`
`java.lang.String` `getZip()`
`int` `hashCode()`
`boolean` `hasRole(Role role)`
`boolean` `isActive()`
`boolean` `isDefaultUser()`
`boolean` `isSuperAdmin()`
`boolean` `isUserAdmin()`
`void` `removeRole(Role role)`
`void` `setActive(boolean active)`
`void` `setAddress(java.lang.String address)`
`void` `setCity(java.lang.String city)`
`void` `setCompany(java.lang.String company)`
`void` `setCountry(java.lang.String country)`
`void` `setCountyCouncil(java.lang.String countyCouncil)` Deprecated. Use `setProvince(String)`. Will be removed in 4.0.
`void` `setEmailAddress(java.lang.String emailAddress)`
`void` `setFaxPhone(java.lang.String faxphone)`
`void` `setFirstName(java.lang.String firstName)`
`void` `setHomePhone(java.lang.String homephone)`
`void` `setLanguage(Language language)`
`void` `setLastName(java.lang.String lastName)`
`void` `setLoginName(java.lang.String loginName)`
`void` `setMobilePhone(java.lang.String mobilephone)`
`void` `setOtherPhone(java.lang.String otherphone)`
`void` `setPassword(java.lang.String password)`
`void` `setProvince(java.lang.String province)`
`void` `setRoles(Role[] roles)`
`void` `setSessionId(java.lang.String sessionId)`
`void` `setTitle(java.lang.String title)`
`void` `setWorkPhone(java.lang.String workphone)`
`void` `setZip(java.lang.String zip)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public int getId()

### getLoginName

    public java.lang.String getLoginName()

### getCompany

    public java.lang.String getCompany()

### getFirstName

    public java.lang.String getFirstName()

### getLastName

    public java.lang.String getLastName()

### getTitle

    public java.lang.String getTitle()

### getAddress

    public java.lang.String getAddress()

### getCity

    public java.lang.String getCity()

### getZip

    public java.lang.String getZip()

### getCountry

    public java.lang.String getCountry()

### getCountyCouncil

    public java.lang.String getCountyCouncil()

  Deprecated. Use `getProvince()`. Will be removed in 4.0.

### getProvince

    public java.lang.String getProvince()

### setProvince

    public void setProvince(java.lang.String province)

### getEmailAddress

    public java.lang.String getEmailAddress()

### getOtherPhone

    public java.lang.String getOtherPhone()

### getWorkPhone

    public java.lang.String getWorkPhone()

### getMobilePhone

    public java.lang.String getMobilePhone()

### getHomePhone

    public java.lang.String getHomePhone()

### isActive

    public boolean isActive()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasRole

    public boolean hasRole(Role role)

  Since:
    2.0

### isDefaultUser

    public boolean isDefaultUser()

### isSuperAdmin

    public boolean isSuperAdmin()

### isUserAdmin

    public boolean isUserAdmin()

### canEdit

    public boolean canEdit(Document document)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getRoles

    public Role[] getRoles()

  Since:
    2.0

### setRoles

    public void setRoles(Role[] roles)

  Since:
    2.0

### addRole

    public void addRole(Role role)

  Since:
    2.0

### removeRole

    public void removeRole(Role role)

  Since:
    2.0

### setActive

    public void setActive(boolean active)

### setAddress

    public void setAddress(java.lang.String address)

### setCity

    public void setCity(java.lang.String city)

### setCompany

    public void setCompany(java.lang.String company)

### setCountry

    public void setCountry(java.lang.String country)

### setCountyCouncil

    public void setCountyCouncil(java.lang.String countyCouncil)

  Deprecated. Use `setProvince(String)`. Will be removed in 4.0.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

### setFaxPhone

    public void setFaxPhone(java.lang.String faxphone)

### getFaxPhone

    public java.lang.String getFaxPhone()

### setFirstName

    public void setFirstName(java.lang.String firstName)

### setHomePhone

    public void setHomePhone(java.lang.String homephone)

### setLastName

    public void setLastName(java.lang.String lastName)

### setLoginName

    public void setLoginName(java.lang.String loginName)

### setMobilePhone

    public void setMobilePhone(java.lang.String mobilephone)

### setOtherPhone

    public void setOtherPhone(java.lang.String otherphone)

### setPassword

    public void setPassword(java.lang.String password)

### setTitle

    public void setTitle(java.lang.String title)

### setWorkPhone

    public void setWorkPhone(java.lang.String workphone)

### setZip

    public void setZip(java.lang.String zip)

### setLanguage

    public void setLanguage(Language language)

### getLanguage

    public Language getLanguage()

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)